Toggle a destination or change its dataset filter
curl --request PATCH \
--url https://app.hookie.ai/admin/api/projects/{pid}/destinations/{id} \
--header 'Content-Type: application/json' \
--cookie hookie_session= \
--data '
{
"enabled": true,
"dataset_filter": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {cookie: 'hookie_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, dataset_filter: ['<string>']})
};
fetch('https://app.hookie.ai/admin/api/projects/{pid}/destinations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}/destinations/{id}"
payload = {
"enabled": True,
"dataset_filter": ["<string>"]
}
headers = {
"cookie": "hookie_session=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"ok": true
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Destinations
Toggle a destination or change its dataset filter
Top-level alias: PATCH /admin/api/destinations/. Write role required.
PATCH
/
admin
/
api
/
projects
/
{pid}
/
destinations
/
{id}
Toggle a destination or change its dataset filter
curl --request PATCH \
--url https://app.hookie.ai/admin/api/projects/{pid}/destinations/{id} \
--header 'Content-Type: application/json' \
--cookie hookie_session= \
--data '
{
"enabled": true,
"dataset_filter": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {cookie: 'hookie_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, dataset_filter: ['<string>']})
};
fetch('https://app.hookie.ai/admin/api/projects/{pid}/destinations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}/destinations/{id}"
payload = {
"enabled": True,
"dataset_filter": ["<string>"]
}
headers = {
"cookie": "hookie_session=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"ok": true
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
sessionbearerAuth
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Path Parameters
Project id (UUID) belonging to the caller workspace.
Destination id.
Body
application/json
At least one of enabled or dataset_filter. Name, URL and secret are immutable - a delivery signature is verified against the URL it was sent to.
Response
Updated.